Seafile install script fails / v7.1.3 / dependencies for python imagecodecs

The seafile pro server install script fails vor v7.1.3 on minimal Ubuntu 18.04 with today’s upgrades.

What did I do?
Is started the Script with
bash seafile-7.1_ubuntu 7.1.3
I get an error, because the python package imagecodecs can not be installed:

imagecodecs/_aec.c:602:10: fatal error: libaec.h: No such file or directory
#include “libaec.h”
^~~~~~~~~~
compilation terminated.
error: command ‘x86_64-linux-gnu-gcc’ failed with exit status 1
Failed building wheel for imagecodecs

By executing
pip3 install imagecodecs
I can find out which ubuntu packages need to be installed via apt.
pip throws errors complaining about missing packages, so I install them manually by finding the package in apt and choosing to install all the *-dev packages.

Will see if that works out and helps the installer to finish installation finally… :face_with_monocle:

Anybody else has this issue?

Installing v7.0.17 via script installs flawlessy…

As of 7.1.x you need Python 3. That is why 7.0.x version works fine. If you want 7.1.x you need to first make sure the dependencies (see server manual) are installed.